View Issue Details

IDProjectCategoryView StatusLast Update
0004418ArchBugpublic2020-08-21 20:43
Reporterbrickmaker Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformmacOSOSCatalinaOS Version10.15.5
Product Version0.19 
Target Version0.19 
Summary0004418: osx line width not getting wider
DescriptionI have currently tried to draw a simple line in a couple different workbenches including Arch and Draft. My issue I am having is when I draw a line and I want to change the line width it can't get wider than 7px? I ran the same test on a Ubuntu computer I have and it was able to draw a line with a width bigger than 7px. Thank you for your help.

Forum thread
Steps To Reproduce1. click the create a 2 lines tool.
2. Draw a straight line
3. Make sure line is selected
4. In toolbar try and increment the width of the line past 7px or on view tab click line width and increment it.
 
Additional InformationReport View
18:54:33 /Applications/FreeCAD.app/Contents/Resources/lib/python3.8/site-packages/mpmath/ctx_mp_python.py:892: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if other is 0:
18:54:33 /Applications/FreeCAD.app/Contents/Resources/lib/python3.8/site-packages/mpmath/ctx_mp_python.py:986: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if other is 0:
18:55:59 ----------------
18:55:59 GuiCommand: Line
18:55:59 Pick first point
18:56:01 Pick next point
22:43:10 ----------------
22:43:10 GuiCommand: Toggle grid
22:43:22 ----------------
22:43:22 GuiCommand: Line
22:43:22 Pick first point
22:43:35 Pick next point

Python Console
Python 3.8.5 | packaged by conda-forge | (default, Jul 31 2020, 02:25:36)
[Clang 10.0.1 ] on darwin
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> Gui.runCommand('Std_Workbench',20)
>>> Gui.runCommand('Std_ViewStatusBar',1)
>>> ### Begin command Std_Workbench
>>> Gui.activateWorkbench("DraftWorkbench")
>>> ### End command Std_Workbench
>>> MRU="0"
>>> exec(open('/Applications/FreeCAD.app/Contents/Resources/share/Mod/Start/StartPage/LoadMRU.py').read())
>>> FreeCAD.openDocument('/Users/Mom and Dads house.FCStd')
>>> # App.setActiveDocument("Mom_and_Dads_house")
>>> # App.ActiveDocument=App.getDocument("Mom_and_Dads_house")
>>> # Gui.ActiveDocument=Gui.getDocument("Mom_and_Dads_house")
>>> Gui.runCommand('Std_OrthographicCamera',1)
>>> Gui.runCommand('Draft_Line',0)
>>> import Draft
>>> pl = FreeCAD.Placement()
>>> pl.Rotation.Q = (0.0, 0.0, 0.0, 1.0)
>>> pl.Base = FreeCAD.Vector(0.0, 2.0, 0.0)
>>> points = [FreeCAD.Vector(0.0, 2.0, 0.0), FreeCAD.Vector(10.0, 2.0, 0.0)]
>>> line = Draft.makeWire(points, placement=pl, closed=False, face=True, support=None)
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line')
>>> Draft.autogroup(line)
>>> FreeCAD.ActiveDocument.recompute()
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line','Vertex2',10,2,0)
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line','Edge1',5.67005,2,0)
>>> FreeCAD.getDocument('Mom_and_Dads_house').getObject('Line').Length = '25.4 mm'
>>>
>>> FreeCAD.getDocument('Mom_and_Dads_house').getObject('Line').Length = '7.62 mm'
>>>
>>> FreeCAD.getDocument('Mom_and_Dads_house').getObject('Line').Length = '8.89 mm'
>>>
>>> Gui.runCommand('Std_WhatsThis',0)
>>> Gui.runCommand('Std_About',0)
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line','',1.91164,2,0)
>>> ### Begin command Std_Workbench
>>> Gui.activateWorkbench("ArchWorkbench")
>>> ### End command Std_Workbench
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 7.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 8.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 7.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 6.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 5.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 4.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 3.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 4.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 5.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 6.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 7.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 8.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 9.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 10.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 11.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 10.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 9.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 8.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 7.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 6.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 5.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 6.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 7.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 8.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 9.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 10.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 11.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 12.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 13.00
>>>
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line')
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line')
>>> Gui.runCommand('Std_DlgCustomize',0)
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 7.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 6.00
>>>
>>> FreeCADGui.getDocument('Mom_and_Dads_house').getObject('Line').LineWidth = 9.00
>>>
>>> App.closeDocument("Mom_and_Dads_house")
>>> # App.setActiveDocument("")
>>> # App.ActiveDocument=None
>>> # Gui.ActiveDocument=None
>>> # Gui.Selection.clearSelection()
>>> MRU="0"
>>> exec(open('/Applications/FreeCAD.app/Contents/Resources/share/Mod/Start/StartPage/LoadMRU.py').read())
>>> FreeCAD.openDocument('/Users/Mom and Dads house.FCStd')
>>> # App.setActiveDocument("Mom_and_Dads_house")
>>> # App.ActiveDocument=App.getDocument("Mom_and_Dads_house")
>>> # Gui.ActiveDocument=Gui.getDocument("Mom_and_Dads_house")
>>> Gui.runCommand("Draft_ToggleGrid")
>>> Gui.runCommand('Draft_Line',0)
>>> pl = FreeCAD.Placement()
>>> pl.Rotation.Q = (0.0, 0.0, 0.0, 1.0)
>>> pl.Base = FreeCAD.Vector(0.0, 10.0, 0.0)
>>> points = [FreeCAD.Vector(0.0, 10.0, 0.0), FreeCAD.Vector(20.0, 10.0, 0.0)]
>>> line = Draft.makeWire(points, placement=pl, closed=False, face=True, support=None)
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line')
>>> Draft.autogroup(line)
>>> FreeCAD.ActiveDocument.recompute()
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Mom_and_Dads_house','Line','Vertex2',20,10,0)
>>> Gui.runCommand('Std_Copy',0)
>>>
TagsNo tags attached.
FreeCAD InformationOS: macOS 10.15
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22246 (Git)
Build type: Release
Branch: master
Hash: abd18ff88f7682e9b1160c36bb785b14a33473ef
Python version: 3.8.5
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: C/Default (C)

Activities

Kunda1

2020-08-21 20:43

administrator   ~0014705

Confirmed on the forum thread

Issue History

Date Modified Username Field Change
2020-08-15 05:18 brickmaker New Issue
2020-08-21 20:40 Kunda1 Description Updated View Revisions
2020-08-21 20:43 Kunda1 Status new => confirmed
2020-08-21 20:43 Kunda1 Note Added: 0014705
2020-08-21 20:43 Kunda1 Target Version => 0.19